Update users
curl --request PUT \
--url https://api.yume.cloud/v1/crm/users/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>",
"avatar": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"group": 123,
"is_staff": true,
"is_superuser": true,
"is_sublease": true,
"points": [
123
],
"salary_amount": "<string>"
}
'import requests
url = "https://api.yume.cloud/v1/crm/users/{id}/"
payload = {
"email": "jsmith@example.com",
"password": "<string>",
"avatar": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"group": 123,
"is_staff": True,
"is_superuser": True,
"is_sublease": True,
"points": [123],
"salary_amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
password: '<string>',
avatar: '<string>',
first_name: '<string>',
last_name: '<string>',
group: 123,
is_staff: true,
is_superuser: true,
is_sublease: true,
points: [123],
salary_amount: '<string>'
})
};
fetch('https://api.yume.cloud/v1/crm/users/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "jsmith@example.com",
"avatar": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"group": 123,
"is_staff": true,
"is_superuser": true,
"is_sublease": true,
"points": [
123
],
"salary_amount": "<string>"
}users
Update users
PUT
/
v1
/
crm
/
users
/
{id}
/
Update users
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
254Maximum string length:
150Maximum string length:
150Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Ответ
200 - application/json
Maximum string length:
254Maximum string length:
150Maximum string length:
150Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$